{% extends 'base.html' %}

{% block content %}
<div>
    <h1>My Lists</h1>
    <div>
        <a href="{% url 'create_list' %}">
            <p>Create a New List</p>
        </a>
        <a href="{% url 'todo_item_create' %}">Create a New Item</a>
    </div>
    <table class="lists">
        <thead>
            <tr>
            <th>Name</th>
            <th>Number of Items</th>
            </tr>
        </thead>
        <tbody>
        {% for tdlist in todo_lists %}
            <tr>
                <td>
                    <a href="{% url 'todo_list_detail' tdlist.id %}">
                    {{tdlist.name}}
                    </a>
                </td>
                <td>{{ tdlist.items.all|length }}</td>
            </tr>
        {% endfor %}
        </tbody>


    </table>
</div>

{% endblock content %}
